%define name pspell
%define version .10
%define release 1mdk
%define prefix /usr

Summary: Portable Spell Checker Interface Library
Name: %{name}
Version: %{version}
Release: %{release}
Group: Office 
Source0: %{name}-%{version}.tar.bz2
Patch: %{name}-%{version}-ltdl.h-mdk-patch.bz2
BuildRoot: /var/tmp/%{name}-root
Copyright: GPL
Prefix:/usr

%description

The goal of the Portable Spell Checker Interface Library (Pspell) is to provide
a generic interface to Spell checker libraries installed on the system.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%patch -p1
%build

./configure prefix=/usr
# Make config.sh first
make CFLAGS="$RPM_OPT_FLAGS" 


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/man
mkdir -p $RPM_BUILD_ROOT%{prefix}/include/pspell
mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/aspell
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib

# Roll in the build-root'ed version (with time-stamp!)
make  prefix=$RPM_BUILD_ROOT/%{prefix} install

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files  
%defattr(-,root,root)
%{prefix}/include/pspell/*
%{prefix}/doc/aspell/*
%{prefix}/lib/*


%changelog 
* Wed Apr 05 2000 Daouda Lo <daouda@mandrakesoft.com> .10-1mdk
- first Mandrake build.
- located in Office (any suggestion???).
- cleanup spec.


